# Generated by Django 4.1.10 on 2023-07-08 06:23

import wagtail.blocks
import wagtail.fields
from django.db import migrations, models


class Migration(migrations.Migration):
    dependencies = [
        ("main", "0056_remove_mainpersonpage_ical_calendar_url_and_more"),
    ]

    operations = [
        migrations.RemoveField(
            model_name="mainpersonpage",
            name="instagram_access",
        ),
        migrations.AddField(
            model_name="mainpersonpage",
            name="instagram_username",
            field=models.CharField(
                blank=True,
                max_length=64,
                null=True,
                verbose_name="Uživatelské jméno na Instagramu",
            ),
        ),
        migrations.AlterField(
            model_name="mainhomepage",
            name="instagram_access",
            field=wagtail.fields.StreamField(
                [
                    (
                        "instagram_access",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "username",
                                    wagtail.blocks.CharBlock(
                                        help_text="Např. pirati.cz, bez @ na začátku!",
                                        label="Uživatelské jméno",
                                    ),
                                )
                            ]
                        ),
                    )
                ],
                blank=True,
                use_json_field=True,
                verbose_name="Uživatelská jména synchronizovaných Instagram účtů",
            ),
        ),
    ]
